Skip to main content
PUT
Update policy

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<int64>
required

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

policyId
string<int64>
required

Policy ID (numeric). Example: 456. Can be found at /deployments/{deploymentId}/policies.

Example:

456

Body

application/json
deploymentId
string<int64>

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

policyId
string<int64>

Policy ID (numeric). Example: 456. Can be found at /deployments/{deploymentId}/policies.

Example:

456

policyMode
enum<string>

New policy mode to set for the Rule.

  • MODE_MONITOR: Monitor mode, silently report findings
  • MODE_COMMENT: Comment mode, leaves PR comments but does not block
  • MODE_BLOCK: Block mode, leaves PR comments and blocks PR
  • MODE_DISABLED: Disabled mode, not active
valuedescription
MODE_MONITORMonitor mode, silently report findings
MODE_COMMENTComment mode, leaves PR comments but does not block
MODE_BLOCKBlock mode, leaves PR comments and blocks PR
MODE_DISABLEDDisabled mode, not active
Available options:
MODE_MONITOR,
MODE_COMMENT,
MODE_BLOCK,
MODE_DISABLED
rulePath
string

Full path of the Rule.

Response

200 - application/json

OK

policyId
string<int64>

Policy ID (numeric). Example: 456. Can be found at /deployments/{deploymentId}/policies.

Example:

"1"

updatedRule
Rule · object